Attach a volume to a cloud VM

Attaches a persistent block volume to the VM. Requires scope: vm.write.

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

vm_idstringRequired
Virtual machine ID.

Headers

X-Idempotency-KeystringRequired
Unique key used to safely retry write operations.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Request

This endpoint expects an object.
volume_idstringRequired>=1 character
modeenumOptionalDefaults to single-writer
requested_bystringOptionalDefaults to api

Response

Volume attachment accepted.
operation_idstring
vm_idstring
statusstring
submitted_atdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error